package com.jzdsh.auto.app.controller.front;

import com.jfinal.aop.Inject;
import com.jfinal.kit.PathKit;
import com.jfinal.kit.Ret;
import com.jfinal.upload.UploadFile;
import com.jzdsh.auto.app.controller.BaseController;
import com.jzdsh.auto.biz.HomepageService;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.auto.app.controller.front
 * @ClassName: HomepageController
 * @Author: Jzdsh
 * @Description: 首页
 * @Date: 2020/3/21 10:42
 * @Version: 1.0
 */
public class HomepageController extends BaseController {

    @Inject
    HomepageService homepageService;


    /**
     * 首页
     */
    public void index( ) {
       // homepageService.wxImgSave("https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIEt0GDVJDnbvXzh5ibpjc4QdX0QPTk4C39hPuY3bfVicmhX2OVgCYpayJJZePhXFv2TI0X1xsHNGvA/132");

        //System.out.println(PathKit.getRootClassPath() );
        renderJson(homepageService.show(get("token"), get("longitude"), get("latitude"),getInt("pageNum",1)));
    }


    /**
     *      免费入住
     *      token
     *      role 商家类型 (1服务商2经销商)
     *      coName 公司名
     *      name 店铺名
     *      city 省市县
     *      street 详细地址
     *      mainBusiness 主营业务逗号隔开
     *      pMainBusiness 父类主营业务
     *      introduce 业务介绍
     *      authPhone  认证电话
     *      referrerPhone 推荐人手机号
     */
    public void save(){
        renderJson(homepageService.save(get("token"),get("role"),get("coName"),get("name"),get("city"),get("street"),get("houseNumber",""),get("mainBusiness"),get("pMainBusiness"),get("introduce"),get("authPhone"),get("referrerPhone"),get("paramType")));
    }



}
